version: "3.4"
services: 
  csharp:
    container_name: csharp # image name
    image: cruxlight/csharp_sdk:1.0.0
    build:
      context: ./c#
      target: debug
    working_dir: /work
    entrypoint: /bin/sh
    stdin_open: true
    tty: true
    volumes: 
      - ./c#/src/:/work
    ports:
      - 5000:5000
  golang:
    container_name: golang
    image: cruxlight/golang_sdk:1.0.0
    build: 
      context: ./golang
      target: dev
    working_dir: /work
    entrypoint: /bin/sh
    stdin_open: true
    tty: true
    volumes: 
      - ./golang/src/:/work
    ports:
      - 5001:5001
  nodejs:
    container_name: nodejs
    image: cruxlight/nodejs:1.0.0
    build: 
      context: ./nodejs
      target: dev
    working_dir: /work
    entrypoint: /bin/sh
    stdin_open: true
    tty: true
    volumes: 
      - ./nodejs/src/:/work
    ports:
      - 5002:5000
  python:
    container_name: python
    image: cruxlight/python:1.0.0
    build: ./python
    working_dir: /work
    entrypoint: /bin/sh
    stdin_open: true
    tty: true
    volumes: 
      - ./python/src/:/work
    ports:
      - 5003:5000
  first-public-dockerhub-image:
    container_name: first-public-dockerhub-image
    image: cruxlight/first-public-dockerhub-image:latest
    build: ./first-public-dockerhub-image